{%if my_rooms%}
    <div class="row viewgroup py-3">


        <div class="col-lg-12">
            <table id="rooms_listing"  class="display responsive nowrap" style="width:100%">
                <caption>My rooms</caption>
                <thead class="">
                    <tr>
                        <th data-priority="1" scope="col">Room Name</th>
                        <th data-priority="7"scope="col">Room ID</th>
                        <th data-priority="3" scope="col">Status</th>
                        <th data-priority="6" scope="col">Last run</th>
                        <th data-priority="4" scope="col" class="no-sort">Recordings</th>
                        <th data-priority="5" scope="col" class="no-sort"></th>
                        <th data-priority="2" scope="col" class="no-sort"></th>
                    </tr>
                </thead>
                <tbody>
                    {% for room in my_rooms %}
                        <tr  {% if room.is_session_running %}class="table-success"{%endif%}>
                            <td>{% if room.room_type != "user"%}  {{room.org_belongs_to.org_name}}/ {% endif %} {{ room.room_name }}</td>
                            <td class="copy_room_user_id" onclick="copyLink('{{request.get_host}}{{request.path}}{{room.room_user_id}}')">{{room.room_user_id}} <span id="copy_span_{{room.room_user_id}}" class="text-info" style="display:none">Copy</span> </td>
                            <td>{% if room.is_session_running %} Running {% else %} Not running {% endif %}</td>
                            <td>{% if room.last_session %} {{room.last_session|date:'d/m/Y h:i a'}}{% endif %}</td>
                            <td><a href="#" class="view_recordings" data-room-id="{{room.room_user_id}}">View recordings </a> </td>
                            <td> <a href="{% url 'update_room' room_id=room.room_user_id %}"> Settings </a> </td>
                            <td> <btn class="btn btn-block btn-primary" onclick="startSession('{{room.room_name}}','{{room.room_user_id}}','{{request.get_host}}{{request.path}}{{room.room_user_id}}')" style="font-weight: 400;">{% if room.is_session_running %}Join {%else%}Start{%endif%}</btn></td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% else %}

    Hey there, Welcome to ClassMeet !
    <br>

    Create your first room to start to start a conferencing.

{% endif %}


<!-- Modal -->
<div class="modal fade " id="room_start_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="display_room_name"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div class="input-group input-group-md rounded shadow-sm">
                Participant joining link 
                <input type="text" class="form-control " id="display_room_link" value="" aria-label="Invite URL" aria-describedby="Invite URL" readonly="">
                <div class="input-group-append">

                    <button onclick="copyToClipboard('#display_room_link')" class="btn  text-light btn-primary" type="button" data-toggle="tooltip" data-placement="top" data-title="Copied Link"> <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-files" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M3 2h8a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2zm0 1a1 1 0 0 0-1 1v10a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1V4a1 1 0 0 0-1-1H3z"></path>
                            <path d="M5 0h8a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2v-1a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H5a1 1 0 0 0-1 1H3a2 2 0 0 1 2-2z"></path>
                        </svg> Copy
                    </button>
                </div>
            </div>

            <h3>Meeting details </h3>
            This meeting allow {{request.user.subscription.participants_allowed}} participants, and would automatically end after {{request.user.subscription.min_allowed}} minutes. This meeting {% if request.user.subscription.recording_allowed %} allows recording {% else %} does not allow recording {% endif %}

            <h3>Participant requirements</h3>
            Participants would require to open the link in any of the latest browsers link Mozilla Firefox or Chrome in their mobile / laptop / desktop. We highly recommend Mozilla Firefox.
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            <form action="{% url 'session_start' %}" method="POST">
                <input type="hidden" id="display_room_id" name="room_id" value="asdfasd">
                {%csrf_token%} 
                <button type="submit" class="btn btn-primary">Start Now</button>
            </form>
        </div>
        </div>
    </div>
    </div>